Skip to main content
System Global Type/System Error Code Operations
GETSystem Error Code OperationsSince 3.3.0SynchronousAuth Required

GetElaborations

GetElaborations

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • categoryString

    Optional. The error code category, which is consistent with resource or service category, such as HOST.

  • regexString

    Optional. The error code keyword.

  • codeString

    Optional. The error code, which is used with the error code category.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • contentsListRequired

    See contents.

    • categoryStringRequired

      The error code category.

    • codeStringRequired

      The error code.

    • regexStringRequired

      The error code keyword.

    • message_cnStringRequired

      The error code message in Chinese.

    • message_enStringRequired

      The error code message in English.

    • sourceStringRequired

      The source of the error.

    • methodStringRequired

      The matching method, including distance (string comparison) and regex (regular expression).

    • distanceDoubleRequired

      If you use distance to do the match, this parameter will be the precision. Note: '1' is the best precision.

Endpoint

GET/zstack/v1/errorcode/elaborations

/zstack/v1/errorcode/elaborations

Operation ID

GetElaborations

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/errorcode/elaborations?category=<category>&regex=<regex>&code=<code>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "contents": [ { "category": "HOST", "code": "1003", "regex": "host[uuid:%s, name:%s] is in status[%s], cannot perform required operation", "message_cn": "物理机正处于[停止]状态,不能进行该操作", "message_en": "Host is in status[Stopped], cannot perform required operation", "source": "zstack", "method": "distance", "distance": 0.0 } ] }

Change History

This API has no change history records yet.

View all change history